/**
 *------
 * BGA framework: © Gregory Isabelli <gisabelli@boardgamearena.com> & Emmanuel Colin <ecolin@boardgamearena.com>
 * tutovnigomoku implementation : © <Your name here> <Your email address here>
 *
 * This code has been produced on the BGA studio platform for use on http://boardgamearena.com.
 * See http://en.boardgamearena.com/#!doc/Studio for more information.
 * -----
 *
 * tutovnigomoku.css
 *
 * tutovnigomoku stylesheet
 *
 */

/*
    This is the CSS stylesheet of your game User Interface.
    
    Styles defined on this file will be applied to the HTML elements you define in your
    HTML template (tutovnigomoku_tutovnigomoku.tpl), and to HTML elements you create dynamically
    (in tutovnigomoku.js).
    
    Usually, you are using CSS to:
    
    1°) define the overall layout of your game
        (ex: place the board on the top left, place player's hand beside, place the deck on the right, ...).

    2°) create your CSS-sprites:
        All images of your games should be gathered into a small number of image files. Then, using
        background-image and background-position CSS properties, you create HTML blocks that can 
        display these images correctly (see example below).
    
    3°) ... anything else:
        It is really easy to add and remove CSS classes dynamically from your Javascript with
        dojo.addClass and dojo.removeClass. It is also easy to check if an element has a class
        (dojo.hasClass) or to get all elements with a specific class (dojo.query). This is why,
        very often, using CSS classes for the logic of your user interface allow you to do complex
        thing easily.
        
        
     Note: on the production platform, this file will be compressed and comments will be removed.
           Consequently, don't hesitate to put as many comments as necessary.
*/


/* Note: you must not use any @import directive */


/********* You can start writing your CSS below this line: **********/

#gmk_game_area {
    text-align: center;
    position: relative;
}

#gmk_background {
    width: 620px;
    height: 620px;
    position: relative;
    display: inline-block;
}

#gmk_goban {
    background-image: url('img/goban.jpg');
    width: 620px;
    height: 620px;
    position: absolute;
}

.gmk_intersection {
    width: 30px;
    height: 30px;
    position: relative;
    background-image: url('img/stones.png');
}

.gmk_stone {
    width: 30px;
    height: 30px;
    position: absolute;
    background-image: url('img/stones.png');
}

.no_stone {
    background-position: -60px 0;
}

.stone_black {
    background-position: 0 0;
}

.stone_white {
    background-position: -30px 0;
}

.clickable {
    cursor: pointer;
}

.clickable:hover {
    background-position: -90px 0;
}

.gmk_stoneicon {
    width: 14px;
    height: 14px;
    display: inline-block;
    position: relative;
    background-repeat: no-repeat;
    background-image: url('img/stone_icons.png');
    background-position: -28px 0;
    margin-top: 4px;
    margin-right: 3px;
}

.gmk_stoneicon_000000 {
    background-position: 0 0;
}

.gmk_stoneicon_ffffff {
    background-position: -14px 0;
}

.cp_board {
    clear: both;
}
